package com.qmth.themis.business.service.impl;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.themis.business.bean.backend.OpenExamBean;
import com.qmth.themis.business.bean.backend.OpenExamCourseBean;
import com.qmth.themis.business.dao.TEExamCourseMapper;
import com.qmth.themis.business.dao.TEExamMapper;
import com.qmth.themis.business.service.TEOpenService;

@Service
public class TEOpenServiceImpl implements TEOpenService {

    @Resource
    TEExamMapper teExamMapper;
    
    @Resource
    TEExamCourseMapper examCourseMapper;
	
	
	@Override
	public IPage<OpenExamBean> examQueryPage(Long examId, String examCode, int pageNumber, int pageSize) {
		Page<OpenExamBean> ipage = new Page<>(pageNumber, pageSize);
        ipage.addOrder(OrderItem.desc("t.create_time"));
		return teExamMapper.examQueryForOpen(ipage, examId, examCode);
	}


	@Override
	public IPage<OpenExamCourseBean> examCourseQueryPage(Long examId, String courseCode, Boolean hasPaper,
			int pageNumber, int pageSize) {
		Page<OpenExamCourseBean> ipage = new Page<>(pageNumber, pageSize);
        ipage.addOrder(OrderItem.desc("t.create_time"));
		return examCourseMapper.examCourseQueryForOpen(ipage, examId,courseCode, hasPaper);
	}

}
